import { select, json, zoom, drag, event } from 'd3';
import { createContextMenu } from './contextMenu.js';
import { renderTree } from './stixtree.js';
import { renderPromoted } from './promoted.js';

// 1. Instantiate Visualisation Variables
const index_width = 400;
const working_width = 800;
const svg_height = 800;
const svg_spacing = 10;
const margin = {
  top: 100,
  left: 20,
  bottom: 50,
  right: 30,
};
const textPadding = 8;
const corner = 5;
const working_start =
  margin.left + index_width + svg_spacing;

// Setup 2 SVG and Border combos
var index_svg = d3
  .select('#index_svg')
  .append('svg')
  .attr('width', index_width)
  .attr('height', svg_height)
  .append('g')
  .attr(
    'transform',
    'translate(' + margin.left + ',' + margin.top + ')',
  );

// var working_svg = d3
//   .select('#working_svg')
//   .append('svg')
//   .attr('width', working_width)
//   .attr('height', svg_height)
//   .append('g')
//   .attr(
//     'transform',
//     'translate(' + margin.left + ',' + margin.top + ')',
//   );

// RMB Menu Items
const menuItems = [
  {
    title: 'First action',
    action: (d) => {
      // TODO: add any action you want to perform
      console.log(d);
    },
  },
  {
    title: 'Second action',
    action: (d) => {
      // TODO: add any action you want to perform
      console.log(d);
    },
  },
];
// sighting_index.json  testtree
d3.json('sightingIndex.json', function (error, data) {
  //renderTree(data, index_svg);
  console.log('I am rendering first time');
  console.log(data);
  renderTree(data, index_svg);
});
const tree_map = {
  sighting: 'sightingIndex.json',
  task: 'taskIndex.json',
  impact: 'impactIndex.json',
  event: 'eventIndex.json',
  me: 'meIndex.json',
  company: 'companyIndex.json',
};

const buttons = d3.selectAll('input');
buttons.on('change', function (d) {
  console.log('button changed to ' + this.value);
  d3.select('.index_svg').selectAll('g').remove();
  d3.json(tree_map[this.value], function (error, data) {
    if (error) {
      console.log(error);
    }
    console.log(
      'I have pressed the button and have data to re-render the tree',
    );
    console.log(data);
    renderTree(data, index_svg);
  });
});

// d3.json('promoted.json', function (error, data) {
//   //renderTree(data, index_svg);
//   console.log('I am promoted ');
//   console.log(data);
//   renderPromoted(data);
// });
